Subject: Re: [PATCH 04/23] e100: rework WoL and shutdown handling

From: Jeff Garzik <[email-masked]>
Date: Tue, 19 Sep 2006 15:10:58 -0400

Kok, Auke wrote:
> Unify our shutdown/suspend/resume code and make it similar to e1000:
> e1000_shutdown now calls suspend which does the exact same thing on
> shutdown except saving PCI config state on suspend. WoL setup code
> is now also more simple and works even when CONFIG_PM is not set, which
> was previously broken.
> 
> Signed-off-by: Auke Kok <[email-masked]>

Why does e100_suspend() need to exist even when CONFIG_PM is disabled?

WoL is fundamentally power management.

NAK.

	Jeff